Abrosoft FaceMixer has been designed to work with Microsoft Windows® 98, ME, NT4, 2000, XP, Vista or later.

Minimum Requirements

Recommended Requirements

 

 


Home | Overview | Screenshots | Samples | Download | Purchase | FAQ | Tutorials | Forum
Copyright © 2005-2009 Abrosoft. All rights reserved.  Contact Us | Privacy Policy